Bug 424103 - Provision of shortcuts to switch between right and left reading direction
Summary: Provision of shortcuts to switch between right and left reading direction
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: 1.10.3
Platform: Archlinux Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-11 15:23 UTC by Ali Tajelsir
Modified: 2020-07-15 04:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.11.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ali Tajelsir 2020-07-11 15:23:52 UTC
SUMMARY
Provision of (menu, toolbar and keyboard) shortcuts to switch between right and left reading direction in okular will be convenient.

STEPS TO REPRODUCE
With the current implementation to change the reading direction, a user needs to:
1. Go to settings
2. General Section
3. Change reading direction in program features

OBSERVED RESULT
The reading direction is changed successfully but in a many steps which is inconvenient especially for users who use the option frequently

EXPECTED RESULT 
The presence of shortcuts will greatly improve the user experience

SOFTWARE/OS VERSIONS
Linux/KDE Plasma
KDE Plasma Version: 5.19.3
KDE Frameworks Version: 5.71.0
Qt Version: 5.15.0
Comment 1 Nate Graham 2020-07-12 14:53:46 UTC
Makes sense to me.
Comment 2 David Hurka 2020-07-14 10:03:52 UTC
Git commit 13481bdfdabddf3191d420a5bae0669494f3f097 by David Hurka.
Committed on 14/07/2020 at 10:03.
Pushed by davidhurka into branch 'release/20.08'.

Add RTL layout KToggleAction

This adds a KToggleAction to PageView, which toggles RTL layout, which was previously only accessible from Configure Okular -> General.

The action is not in any toolbar, just in the action collection. Called "rtl_page_layout" and reads "Use Right to Left Reading Direction".

M  +24   -0    ui/pageview.cpp
M  +2    -0    ui/pageview.h

https://invent.kde.org/graphics/okular/commit/13481bdfdabddf3191d420a5bae0669494f3f097
Comment 3 Ali Tajelsir 2020-07-15 04:00:44 UTC
Thank you for all your hard work!.